#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-BTB9Gf0E9di89vI3ffv4Me
key:                  hOpenPGP-2.9.8-BTB9Gf0E9di89vI3ffv4Me
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  a0f5b5905b3f9f8dbeda2b6227581bbe
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-BTB9Gf0E9di89vI3ffv4Me
depends:
    aeson-2.1.2.1-6n6lUoaCpqbLqGz4R2odoW
    asn1-encoding-0.9.6-1fBCg9W4P4i8o243zIjMNB
    attoparsec-0.14.4-HI028cZ2WwJ53VFJd3R6KF base-4.16.4.0
    base16-bytestring-1.0.2.0-6am4HAEozKG2acVuW9SjDR
    bifunctors-5.6-1Dg9HjNRq8Q82j1EoGhDOf binary-0.8.9.0
    binary-conduit-1.3.1-Bw5eswzslB9FzixcvsjCoi bytestring-0.11.4.0
    bz2-1.0.1.1-DjQY7gieD2x6bM0JsNFb5J
    conduit-1.3.6.1-7BrXg29nEXsBtFo9N0Uhzo
    conduit-extra-1.3.6-8ru7m5rWxc2I2JpiJBOP4J containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-kNMUQ4F1qODCEtyl0dSs
    errors-2.3.0-7KmgdFNVjBlEqwYKw9qTdq
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    incremental-parser-0.5.1-FGYfIUpMnV12a0EagM56Xm
    ixset-typed-0.5.1.0-2icxdrXnFpN3r7I0MHm51X
    lens-5.2.3-E9qTqYswc1XFU8czBYRRKh
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-L3xnVJ00D4a5M1YFOenxXQ
    network-uri-2.6.4.2-BC3te0GfpncIdQCU8I2AdS
    openpgp-asciiarmor-0.1.2-pCjjRQ1v9yEkcM1hg8xHO
    prettyprinter-1.7.1-6K4FrB3f98hJ1k4LOqp6jS
    resourcet-1.2.6-7XRvu1GZSDsLOgaXXocelp
    split-0.2.5-fPWkUXEXZHvXnPhPWCGf text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-1oXBHIneMBm69TPTD2tYrr
    zlib-0.6.3.0-3964NViQXyCEPE6a3KJUdx

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

